Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.xml
Interface SaxContext

All Known Implementing Classes:
  XmlMapper

public interface SaxContext

SAX Context - used to match and perform actions provide access to the current stack and XML elements.

Author:
  costin@dnt.ro

Method Summary
`org.xml.sax.AttributeList` | `getAttributeList(int pos)` Access attributes of a particular tag
`java.lang.String` | `getBody()` Body of the last tag
`int` | `getDebug()`
`java.util.Stack` | `getObjectStack()` We maintain a stack to keep java objects that are generated as result of parsing.
`java.lang.String` | `getPublicId()`
`java.lang.Object` | `getRoot()` The root object is either set by caller before starting the parse or can be created using the first tag.
`java.lang.String` | `getTag(int pos)` Access a particular tag
`int` | `getTagCount()` Depth of the tag stack.
`void` | `log(java.lang.String s)`

Method Detail

### getTagCount

    public int getTagCount()

  Depth of the tag stack.

### getAttributeList

    public org.xml.sax.AttributeList getAttributeList(int pos)

  Access attributes of a particular tag

### getTag

    public java.lang.String getTag(int pos)

  Access a particular tag

### getBody

    public java.lang.String getBody()

  Body of the last tag

### getRoot

    public java.lang.Object getRoot()

  The root object is either set by caller before starting the parse or can be created using the first tag. It is used to set object in the result graph by navigation ( using root and a path). Please use the stack, it's much faster and better.

### getObjectStack

    public java.util.Stack getObjectStack()

  We maintain a stack to keep java objects that are generated as result of parsing. You can either use the stack ( which is very powerfull construct !), or use the root object and navigation in the result tree.

### getDebug

    public int getDebug()

### log

    public void log(java.lang.String s)

### getPublicId

    public java.lang.String getPublicId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.